<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: Middleware</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: Middleware</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>Middleware<span class="signature">()</span><span class="type-signature"></span></h2>
        
            <div class="class-description">Intercepts all requests to perform middleware functions</div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="Middleware"><span class="type-signature"></span>new Middleware<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Enables Cors </br>Enables compression </br>Enables bodyParser to encode request bodies </br>Enables morgan for logging </br>Enables an error handler (will eventually use custom error handler)
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    
    <dt class="tag-author">Author:</dt>
    <dd class="tag-author">
        <ul>
            <li>Farooq Ilyas</li>
        </ul>
    </dd>
    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="routers_middleware.js.html">routers/middleware.js</a>, <a href="routers_middleware.js.html#line15">line 15</a>
    </li></ul></dd>
    

    

    

    
</dl>


















    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id="configuration"><span class="type-signature"></span>configuration<span class="type-signature"></span></h4>




<div class="description">
    Returns the express app after configuration
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="routers_middleware.js.html">routers/middleware.js</a>, <a href="routers_middleware.js.html#line36">line 36</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
    

    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="BaseRouter.html">BaseRouter</a></li><li><a href="Configs.html">Configs</a></li><li><a href="CustomErrorHandler.html">CustomErrorHandler</a></li><li><a href="Database.html">Database</a></li><li><a href="DBConfig.html">DBConfig</a></li><li><a href="LoggingConfiguration.html">LoggingConfiguration</a></li><li><a href="Middleware.html">Middleware</a></li><li><a href="Server.html">Server</a></li><li><a href="ServerConfiguration.html">ServerConfiguration</a></li><li><a href="UserController.html">UserController</a></li><li><a href="UserModel.html">UserModel</a></li><li><a href="UserRouter.html">UserRouter</a></li><li><a href="UserService.html">UserService</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Mon Jul 02 2018 23:16:09 GMT+0100 (GMT Daylight Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>